Package pygccxml :: Package declarations :: Module cpptypes :: Class complex_double_t

# type complex_double_t

source code

    object --+
             |
        type_t --+
                 |
     fundamental_t --+
                     |
                    complex_double_t

represents complex double type

Instance Methods

__init__(self) | source code

Inherited from `fundamental_t`: `build_decl_string` Inherited from `type_t`: `__eq__`, `__lt__`, `__ne__`, `__str__`, `clone`

Class Variables
| CPPNAME = ``'``complex double``'``

Properties
Inherited from `type_t`: `byte_align`, `byte_size`, `decl_string`, `partial_decl_string`

Method Details

### __init__(self)
(Constructor)

source code

Overrides: type_t.__init__